WHMCS - Bug # 159: Can't View Tickets

Status: Closed Priority: Normal
Author: Shaun Fisher Category:

Created: 19 Feb 2013 Assignee:

Updated: 24 Jun 2013 Due date:

Subject: Can't View Tickets

Description: Hi There,

Upon installing this module, when going into the client area and trying to list tickets, we are presented with a
blank page.

Any assistance would be greatly appreciated.

S

History

02/19/2013 09:39 pm - Shaun Fisher

We've also found that when creating a new ticket through WHMCS, we can click the department however when clicking Next the page just refreshes.

02/19/2013 11:02 pm - Amarjeet Kaur
Hi Shaun,

Please got to your WHMCS admin -> Setup -> General Settings.

Under it open 'Other' Tab. Please check 'Display Errors' checkbox to get exact PHP error.

Thank you,
Amarjeet Kaur

02/19/2013 11:12 pm - Shaun Fisher

Hi Amarjeet,

Ah-ha! Now we're getting somewhere.

"Fatal error: Uncaught exception 'Exception’ with message 'String could not be parsed as XML’ in
/home/XX/public_html/XX/modules/support/kayako/API/kyHelpers.php:31 Stack trace: #0
/home/XX/public_html/XX/modules/support/kayako/API/kyHelpers.php(31): SimpleXMLElement->__construct('<br [>?<b>Fatal...") #1
/home/XX/public_html/XX/modules/support/kayako/API/kyRESTClient.php(202): ky_xml_to_array('<br [>?<b>Fatal...") #2
/home/XX/public_html/XX/modules/support/kayako/API/kyRESTClient.php(219): kyRESTClient->processRequest('/Tickets/Ticket', 'GET', Array) #3
/home/XX/public_html/XX/modules/support/kayako/API/kyObjectBase.php(196): kyRESTClient->get('/Tickets/Ticket', Array) #4
/home/XX/public_html/XX/modules/support/kayako/API/kyTicket.php(684): kyObjectBase::getAll(Array) #5

/home/XX/public_html/XX/modules/support/kayako/supporttickets.php(85): kyTicket::getAll(Object(kyResultSet), Object(kyResultSet)) #6
/home/XX/public_html/XX/supporttickets.php(0): unknown() #7 {main} in /home/XX/public_html/XX/modules/support/kayako/API/kyHelpers.php on line
31"

Many Thanks,
Shaun

02/19/2013 11:19 pm - Amarjeet Kaur
Hi Shaun,
Please note that you need to do some code updates in Helpdesk files as mentioned in 'swift_maodifications.doc' file attached in wiki section.

Please do all the changes to get proper functionality of WHMCS.

Thank you,

Amarjeet Kaur

03/03/2013 10:20 am - Fred Smith

Did the update to the 'swift_modifications.doc' resolve the issue Shaun?
Thanks in advance,

Fred

03/04/2013 06:44 am - Amarjeet Kaur
Hello Fred,

Please note that following versions of WHMCS and Helpdesk are required to get WHMCS integration fully functional:

Kayako: 4.51.1891
WHMCS: 5.1.2

If you have respective version of Kayako Helpdesk and WHMCS, then please do the code changes as mentioned in 'swift_modifications.doc' file

attached in wiki section.

Kindly let us know, if you need any further assistance from our side.

Thank you,

Amarjeet Kaur

06/24/2013 02:33 am - Amarjeet Kaur
- Status changed from New to Closed
